Miliony stron WordPress z niebezpieczną luką! Czas na automatyczną aktualizację

Korzystasz z Wordpressa? Wiedziałeś, że ma poważną lukę?

WordPress cierpi na poważną lukę w zabezpieczeniach. Pozwala ona nieautoryzowanym użytkownikom pobrać kopie zapasowe witryn. Twórcy WordPressa zidentyfikowali problem i zakwalifikowali go do pilnej aktualizacji.

Zaktualizowano 1,7 miliona witryn
Źródło: Le Buzz / Unsplash

Zaktualizowano 1,7 miliona witryn

Źródło: Le Buzz / Unsplash

W ubiegły czwartek wprowadzono nowa wersję wtyczki bezpieczeństwa UpdraftPlus, która usuwa krytyczną lukę w zabezpieczeniach. Twórcy uznali, że niebezpieczeństwo jest bardzo duże i zdecydowali się na wymuszenie aktualizacji wtyczki na zagrożonych witrynach WordPress.

Zobacz również:

Program UpdraftPlus to proste narzędzie do pobierania i przywracania kopii zapasowych witryn WordPress. Luka w zabezpieczeniach została znaleziona podczas wewnętrznego audytu przeprowadzanego przez programistów JetPack. Luka w kontroli uprawnień pozwalała na pobranie kopii zapasowych witryn nieautoryzowanym użytkownikom. Dostęp do tego elementu powinni mieć jedynie administratorzy stron.

Według wykresu dostępnego w programie UpdraftPlus wymuszona aktualizacja została pobrana w ubiegły czwartek na aż 1,7 miliona witryn WordPress. Proces odbył się w tle bez najmniejszej ingerencji ze strony użytkowników i administratorów.

JetPack oraz UpdraftPlus wystosowały ostrzeżenia dotyczące luki. Strony szyfrujące swoje kopie zapasowe nie były podatne na lukę. Jetpack przekazuje, że większość witryn została zaktualizowana i zachęca do sprawdzenia czy dostępne są aktualizacje UpdradtPlus.

WordPress od kilku lat boryka się ze zwiększoną ilością luk w zabezpieczeniach. Za przeważającą większość z nich odpowiedzialne są wtyczki do WordPressa.